Announcement

Collapse
No announcement yet.

OpenGL 4.1 Support Now Enabled In Mesa Git For AMD RadeonSI

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • #51
    Originally posted by xpris View Post

    R600(g) in Catalyst ...
    What is R600(g) in Catalyst?

    Comment


    • #52
      Originally posted by uid313 View Post
      ... we need Vulcan.
      What is "Vulcan"?

      Comment


      • #53
        Originally posted by drSeehas View Post
        What is "Vulcan"?
        Same as Cing Cong or Katalyst
        Last edited by dungeon; 01 August 2015, 04:27 PM.

        Comment


        • #54
          @marek

          Now that tessellation is done, what are you focusing on? Extensions or improvements/optimizations?

          Thank you, and keep up the good work.

          Comment


          • #55
            Originally posted by RavFX View Post

            * I just updated to the 4.2-rc4 kernel
            * rebuilded libdrm, mesa, xf86-video-ati from today git
            * I did not rebuild llvm. It is from yesterday git so I think he's fine.

            I'm using Gentoo. I get OpenGL 4.1 in glxinfo.

            The same problem occur, transparent tessellation and crash.


            And it continue for thousand lines

            Edit : Made more test, stuff that don't use news extensions still work fine. It is possible to limit to OpenGL 3.3 while keeping theses drivers, at lease until theses issue are sorted out?
            i am using gentoo too, but can't use 4.x with my r9 270 on kde5
            kernel 4.2.0-gentoo-r1 x86_64, xf86-video-ati-9999...

            glxinfo | grep OpenGL
            OpenGL vendor string: X.Org
            OpenGL renderer string: Gallium 0.4 on AMD PITCAIRN (DRM 2.43.0, LLVM 3.7.0)
            OpenGL core profile version string: 4.1 (Core Profile) Mesa 11.0.0
            OpenGL core profile shading language version string: 4.10
            OpenGL core profile context flags: (none)
            OpenGL core profile profile mask: core profile
            OpenGL core profile extensions:
            OpenGL version string: 3.0 Mesa 11.0.0
            OpenGL shading language version string: 1.30
            OpenGL context flags: (none)
            OpenGL extensions:
            OpenGL ES profile version string: OpenGL ES 3.0 Mesa 11.0.0
            OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00
            OpenGL ES profile extensions:
            https://i.imgur.com/95d3PRz.jpg
            https://i.imgur.com/UErIbih.jpg

            any ideas?
            Last edited by papu; 13 September 2015, 06:53 AM.

            Comment


            • #56
              Originally posted by papu View Post
              any ideas?
              What exectly is your problem?
              Not that i am an expert at this, but it seems you got correct OpenGL 4.1 with the core profile...
              A lot of tools and utilities do not look at the core profile, but only at compatibility profile. That one will stay at 3.0 for all mesa drivers (as long as mesa does not implement compatibility profile (which it wont).
              Edit: Sorry, didn't see the quoted " transparent tessellation and crash". Since I came frome the other thread you cross-posted in, I didn't follow the discussion here...
              Last edited by Stebs; 13 September 2015, 06:46 PM.

              Comment

              Working...
              X